import Image from "next/image";
import Link from "next/link";

const ImageWrapper = ({ children, href, ...otherProps }) => {
  return (
    <>
      {href && href !== "" ? (
        <Link href={href} {...otherProps}>
          {children}
        </Link>
      ) : (
        <>{children}</>
      )}
    </>
  );
};

const MainBannerSingleImageSection = ({ content }) => {
  if (!content) return null;

  return (
    <div className={`  w-full md:container `}>
      <ImageWrapper className="w-full" href={content.link}>
        <Image
          src={content.webImage}
          alt={content.imageAlt}
          title={content.imageTitle}
          width={"0"}
          height={"0"}
          className="w-full h-auto object-contain hidden lg:flex"
          sizes="100vw"
        />
        <Image
          src={content.tabletImage}
          alt={content.imageAlt}
          title={content.imageTitle}
          width={"0"}
          height={"0"}
          className="w-full h-auto object-contain hidden md:flex lg:hidden"
          sizes="100vw"
        />
        <Image
          src={content.mobileImage}
          alt={content.imageAlt}
          title={content.imageTitle}
          width={"0"}
          height={"0"}
          className="w-full h-auto object-contain flex md:hidden"
          sizes="100vw"
        />
      </ImageWrapper>
    </div>
  );
};

export default MainBannerSingleImageSection;
